Package Details: pantalaimon 0.10.5-5

Git Clone URL: https://aur.archlinux.org/pantalaimon.git (read-only, click to copy)
Package Base: pantalaimon
Description: Pantalaimon is an end-to-end encryption aware Matrix reverse proxy daemon.
Upstream URL: https://github.com/matrix-org/pantalaimon
Licenses: Apache
Submitter: Midov
Maintainer: None
Last Packager: Midov
Votes: 5
Popularity: 0.000009
First Submitted: 2019-09-08 17:01 (UTC)
Last Updated: 2022-11-19 11:56 (UTC)

Latest Comments

1 2 3 Next › Last »

nogweii commented on 2023-01-05 05:03 (UTC)

python-matrix-nio is version 0.20 in the community repo and the python code requires the updated version. The version constraint in the PKGBUILD needs to be updated to match. Otherwise this fails to build due to makepkg being unable to find a matching version.

e-v commented on 2022-11-15 13:52 (UTC) (edited on 2022-11-15 13:53 (UTC) by e-v)

Thanks a lot @Midov, it worked. In case it can be of any use to others, I simply replaced the following line: Requires-Dist: charset-normalizer (<3.0,>=2.0) by Requires-Dist: charset-normalizer (>=2.0) in /usr/lib/python3.10/site-packages/aiohttp-3.8.3.dist-info/METADATA.

I don't like having to do this but Python packaging is indeed a PITA.

Midov commented on 2022-11-15 13:35 (UTC)

@e-v this is unrelated to pantalaimon. your aiohttp is broken, but this is common issue with shitty python packages, you should simply remove the version dependency from aiohttp (in /lib/python3.10/site-packages/) and it will work

e-v commented on 2022-11-15 13:26 (UTC)

It now fails to launch with the following error:

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 909, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 800, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (charset-normalizer 3.0.0 (/usr/lib/python3.10/site-packages), Requirement.parse('charset-normalizer<3.0,>=2.0'), {'aiohttp'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/sbin/pantalaimon", line 33, in <module>
    sys.exit(load_entry_point('pantalaimon==0.10.5', 'console_scripts', 'pantalaimon')())
  File "/usr/sbin/pantalaimon", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 171, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/pantalaimon/main.py", line 24, in <module>
    import nio
  File "/usr/lib/python3.10/site-packages/nio/__init__.py", line 9, in <module>
    from .client import *
  File "/usr/lib/python3.10/site-packages/nio/client/__init__.py", line 7, in <module>
    from .async_client import AsyncClient, AsyncClientConfig, DataProvider
  File "/usr/lib/python3.10/site-packages/nio/client/async_client.py", line 48, in <module>
    from aiohttp import (
  File "/usr/lib/python3.10/site-packages/aiohttp/__init__.py", line 212, in <module>
    from .worker import GunicornUVLoopWebWorker, GunicornWebWorker
  File "/usr/lib/python3.10/site-packages/aiohttp/worker.py", line 11, in <module>
    from gunicorn.config import AccessLogFormat as GunicornAccessLogFormat
  File "/usr/lib/python3.10/site-packages/gunicorn/config.py", line 20, in <module>
    from gunicorn import __version__, util
  File "/usr/lib/python3.10/site-packages/gunicorn/util.py", line 25, in <module>
    import pkg_resources
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3260, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3272, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 795, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'charset-normalizer<3.0,>=2.0' distribution was not found and is required by aiohttp

e-v commented on 2022-09-06 10:00 (UTC)

I needed to install python-jaraco.classes to get pantalaimon to run, but I don't know if this dependency is missing from this package or from another one.

nogweii commented on 2022-08-30 05:55 (UTC)

Missing a makedepend: python-setuptools.

Thaodan commented on 2022-07-10 19:10 (UTC)

Can you make the pkgbuild so it follows: https://wiki.archlinux.org/title/Python_package_guidelines#setuptools_or_distutils?

e-v commented on 2022-04-04 23:14 (UTC)

diabonas: It works, thanks!

diabonas commented on 2022-04-04 22:41 (UTC)

@e-v, Midov: python-matrix-nio 0.19.0-3 removes the dependency version pinning, which should hopefully fix the issue.

Midov commented on 2022-04-04 09:24 (UTC) (edited on 2022-04-04 09:25 (UTC) by Midov)

Hey e-v, python-matrix-nio dependencies are a mess unfortunately. I had to edit /lib/python3.10/site-packages/matrix_nio-0.19.0.dist-info/METADATA and remove the lines containing cachetools<5.0.0,>=4.2.1 and aiofiles<0.7.0,>=0.6.0

When you do that, pantalaimon starts working fine.

... I have no idea why do they keep adding retarded restrictions like these even though it works with the new versions.